API reference
Stores
Marketplace stores connected to the tenant.
List stores
GET
/v1/storesStores of the current tenant.
Scopes:any API key
Query parameters
statusStoreStatusoptionalOne of:
activesuspendedarchived
Response200 · application/json
Stores
itemsarray<Store>requiredShow 8 child attributes
idstringrequiredformat: uuid
namestringrequiredmarketplacestringrequiredOne of:
tiktokshopeelazadatokopediaexternalShopIdstringrequirednullablestatusstringrequiredOne of:
activesuspendedarchivedtimezonestringrequiredcreatedAtstringrequiredformat: date-time
updatedAtstringrequiredformat: date-time
Example request · curl
curl "https://api.comnethub.app/v1/stores" \
-H "Authorization: Bearer $THECOMNET_API_KEY"Get store
GET
/v1/stores/{storeId}Store detail.
Scopes:any API key
Path parameters
storeIdstringrequiredformat: uuid
Response200 · application/json
Store
idstringrequiredformat: uuid
namestringrequiredmarketplacestringrequiredOne of:
tiktokshopeelazadatokopediaexternalShopIdstringrequirednullablestatusstringrequiredOne of:
activesuspendedarchivedtimezonestringrequiredcreatedAtstringrequiredformat: date-time
updatedAtstringrequiredformat: date-time
Example request · curl
curl "https://api.comnethub.app/v1/stores/$STORE_ID" \
-H "Authorization: Bearer $THECOMNET_API_KEY"